<div class="card">
	<app-dimmer [loading]="loading"></app-dimmer>

	<div class="card-header">
		<app-return-back></app-return-back>
	</div>

	<form [formGroup]="form" (ngSubmit)="save()">
		<div class="card-body">
			<div class="row">
				<div class="col-md-4">
					<div class="form-group">
						<label>Nombre</label>
						<input type="text" class="form-control form-control-sm" formControlName="name" />
						<app-form-control-error formControlName="name"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label>Nick</label>
						<input type="text" class="form-control form-control-sm" formControlName="nick" />
						<app-form-control-error formControlName="nick"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label>Email</label>
						<input type="text" class="form-control form-control-sm" formControlName="email" />
						<app-form-control-error formControlName="email"></app-form-control-error>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-md-4">
					<div class="form-group">
						<div class="d-flex">
							<label>Contraseña</label>
							<span class="text-muted font-italic small mt-1 ml-2" *ngIf="id">Dejar en blanco para no hacer cambios</span>
						</div>
						<input type="password" class="form-control form-control-sm" formControlName="password" />
						<app-form-control-error formControlName="password"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label>Confirmar contraseña</label>
						<input type="password" class="form-control form-control-sm" formControlName="confirmation" />
						<app-form-control-error formControlName="confirmation"></app-form-control-error>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-md-4">
					<div class="form-group">
						<label>Sede</label>
						<app-select [selectOptions]="list.sedes" formControlName="sede_id"></app-select>
						<app-form-control-error formControlName="sede_id"></app-form-control-error>
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label>Studio</label>
						<app-select [selectOptions]="list.studios" formControlName="studio_id"></app-select>
						<app-form-control-error formControlName="studio_id"></app-form-control-error>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-md-8">
					<div class="form-group">
						<label>Roles</label>
						<app-select [multi]="true" [selectOptions]="list.roles" formControlName="roles"></app-select>
						<app-form-control-error formControlName="roles"></app-form-control-error>
					</div>
				</div>
			</div>
		</div>

		<div class="card-footer">
			<div class="row">
				<div class="col-md-12">
					<button type="submit" class="btn btn-primary" [disabled]="loading">Guardar</button>
				</div>
			</div>
		</div>
	</form>
</div>
